PETSc version 3.15.5
Fix/Edit manual page

# MatKAIJGetT

Get the transformation matrix T associated with the KAIJ matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJGetT(Mat A,PetscInt *m,PetscInt *n,PetscScalar **T)

Not Collective; the entire T is stored and returned independently on all processes

### Input Parameter

| A | - the KAIJ matrix

### Output Parameter

| m | - the number of rows in T
| n | - the number of columns in T
| T | - the T matrix, in form of a scalar array in column-major format

Note: All output parameters are optional (pass NULL or PETSC_IGNORE if not desired)

### See Also

MatCreateKAIJ(), MatGetBlockSizes()

### Level

advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages